TextToSpeechGetCaps(3dtk)

Name

TextToSpeechGetCaps - Returns the current capabilities of the DECtalk Software.

Syntax
    MMRESULT TextToSpeechGetCaps (LPTTS_CAPS_T lpTTScaps)

Parameters

LPTTS_CAPS_T lpTTScaps
    Specifies a pointer to a structure of type TTS_CAPS_T. This structure returns the capabilities of the text-to-speech system.

Description

This function lists the current capabilities of the DECtalk Software by filling in a structure of type TTS_CAPS_T. The caller must have space allocated for this structure before calling TextToSpeechGetCaps().

Information returned includes languages, proper name pronunciation support, sample rate, minimum and maximum speaking rate, number of predefined speaking voices, character set supported, and version number. See the DECtalk Software Programmer's Guide for more information on the TTS_CAPS_T structure.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.
MMSYSERR_ERROR
 | The pointer to the TTS_CAPS_T structure was invalid.